Bug 42625 - sputnik S15.9.3.1_A5_T1~T6 fail when run in timezone other than Pacific Time
Summary: sputnik S15.9.3.1_A5_T1~T6 fail when run in timezone other than Pacific Time
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-20 03:34 PDT by Xianzhu Wang
Modified: 2012-09-03 23:57 PDT (History)
9 users (show)

See Also:


Attachments
Patch (4.49 KB, patch)
2010-08-17 10:28 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Patch (168.26 KB, patch)
2012-08-23 10:33 PDT, Zan Dobersek
eric: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xianzhu Wang 2010-07-20 03:34:20 PDT
On a machine whose timezone is not Pacific Time, the following tests fail:

fast/js/sputnik/Conformance/15_Native_Objects/15.9_Date/15.9.3/S15.9.3.1_A5_T1.html -> failed
.
fast/js/sputnik/Conformance/15_Native_Objects/15.9_Date/15.9.3/S15.9.3.1_A5_T2.html -> failed
.
fast/js/sputnik/Conformance/15_Native_Objects/15.9_Date/15.9.3/S15.9.3.1_A5_T3.html -> failed
.
fast/js/sputnik/Conformance/15_Native_Objects/15.9_Date/15.9.3/S15.9.3.1_A5_T4.html -> failed
.
fast/js/sputnik/Conformance/15_Native_Objects/15.9_Date/15.9.3/S15.9.3.1_A5_T5.html -> failed
.
fast/js/sputnik/Conformance/15_Native_Objects/15.9_Date/15.9.3/S15.9.3.1_A5_T6.html -> failed
Comment 1 Alexey Proskuryakov 2010-07-20 10:13:02 PDT
We should probably just disable those tests then.
Comment 2 Eric Seidel (no email) 2010-08-17 10:21:09 PDT
Agreed.
Comment 3 Eric Seidel (no email) 2010-08-17 10:28:04 PDT
Created attachment 64605 [details]
Patch
Comment 4 Alexey Proskuryakov 2010-08-17 10:48:30 PDT
Comment on attachment 64605 [details]
Patch

r=me.
Comment 5 WebKit Commit Bot 2010-08-17 11:07:21 PDT
Comment on attachment 64605 [details]
Patch

Clearing flags on attachment: 64605

Committed r65519: <http://trac.webkit.org/changeset/65519>
Comment 6 WebKit Commit Bot 2010-08-17 11:07:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Zan Dobersek 2012-08-02 23:00:07 PDT
Could these tests be skipped if the system's timezone is incorrect? Similarly to how some tests are skipped based on missing symbols in modules.
Comment 8 Zan Dobersek 2012-08-23 10:33:44 PDT
Reopening to attach new patch.
Comment 9 Zan Dobersek 2012-08-23 10:33:47 PDT
Created attachment 160193 [details]
Patch
Comment 10 Alexey Proskuryakov 2012-08-23 10:50:10 PDT
Honestly, I don't think that having these tests enabled on some machines is worth the complexity.

We should just remove sputnik tests and migrate to ecma-262 official suite. Maintaining that seems more worth the effort long term.
Comment 11 Zan Dobersek 2012-08-23 10:54:22 PDT
(In reply to comment #10)
> Honestly, I don't think that having these tests enabled on some machines is worth the complexity.
> 
> We should just remove sputnik tests and migrate to ecma-262 official suite. Maintaining that seems more worth the effort long term.

I'm supportive of the migration, but these tests (or their equivalents) are still present in the ecma-262 suite though.
Comment 12 Dirk Pranke 2012-08-23 10:55:34 PDT
Is there a way to file bugs or submit patches to the official suite to get these fixed?
Comment 13 Eric Seidel (no email) 2012-08-23 11:02:46 PDT
Comment on attachment 160193 [details]
Patch

We could also just delete them.  I suspect this will just end up being confusing. :)
Comment 14 Alexey Proskuryakov 2012-08-23 11:26:38 PDT
My suggestion is to keep these tests disabled unconditionally, and try to get official tests fixed.
Comment 15 Eric Seidel (no email) 2012-08-23 11:43:55 PDT
Comment on attachment 160193 [details]
Patch

I don't think it really matters what we do with these tests.  I think the status quo is fine, and this patch isn't really worth the complexity.  I appreciate you looking at the problem!
Comment 16 Zan Dobersek 2012-09-03 23:57:08 PDT
(In reply to comment #12)
> Is there a way to file bugs or submit patches to the official suite to get these fixed?

The bug's already reported in the Ecmascript Bugzilla:
https://bugs.ecmascript.org/show_bug.cgi?id=330